%global srcname fixtures

Name:           python-%{srcname}
Version:        1.4.0
Release:        %mkrel 2
Summary:        Fixtures, reusable state for writing clean tests and more

Group:          Development/Python
License:        ASL2 or BSD
URL:            https://launchpad.net/python-fixtures
Source0:        https://pypi.python.org/packages/source/f/%{srcname}/%{srcname}-%version.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make
it easy to write your own fixtures using the fixtures contract. Glue code
is provided that makes using fixtures that meet the Fixtures contract in
unittest compatible test cases easy and straight forward.

%package -n     python3-%{srcname}
Summary:        Fixtures, reusable state for writing clean tests and more
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make
it easy to write your own fixtures using the fixtures contract. Glue code
is provided that makes using fixtures that meet the Fixtures contract in
unittest compatible test cases easy and straight forward.

%prep
%setup -q -n %{srcname}-%{version}

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc README GOALS NEWS Apache-2.0 BSD COPYING
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc README GOALS NEWS Apache-2.0 BSD COPYING
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 971083
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 889243
- new version: 1.4.0 + rebuild for python 3.5
- use new python macros

* Fri Sep 04 2015 daviddavid <daviddavid> 1.3.1-2.mga6
+ Revision: 872777
- add python3 package
- use new python2 macro
- update file list

* Mon Aug 31 2015 fwang <fwang> 1.3.1-1.mga6
+ Revision: 871486
- update license
- imported package python-fixtures

